/*
 Theme Name:   KFDS Child Theme
 Theme URI:    https://kifadesign.it
 Description:  Use this child theme to extend Bricks.
 Author:       KFDS DEV TEAM
 Author URI:   https://kifadesign.it
 Template:     bricks
 Version:      1.0
 Text Domain:  kfds
*/


@layer bricks {
  :where(.brxe-nav-menu) .bricks-nav-menu li {
    position: relative;
    align-content: center;
  }
}

.card .brxe-daflfo {
  width: 100%;
  aspect-ratio: 1 / 1;
  overflow: hidden;
  background: #fff;
}

.card .brxe-daflfo .brxe-image {
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
  display: block;
}
.brxe-hylzyj {
  width: 100%;
  aspect-ratio: 1 / 1;
  overflow: hidden;
  background: #fff;
}

.brxe-hylzyj .brxe-image {
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
  display: block;
}

:root {
  /* H1 */
  --h1: clamp(28px, 4vw, 45px);

  /* H2 */
  --h2: clamp(26px, 3.5vw, 40px);

  /* H3 */
  --h3: clamp(18px, 2.2vw, 21px);

  /* H4 */
  --h4: clamp(14px, 1.8vw, 16px);

  /* H5 */
  --h5: clamp(16px, 2vw, 21px);

  /* H6 */
  --h6: clamp(18px, 2.1vw, 30px);

  /* Paragraph */
  --p: clamp(13px, 1.6vw, 14px);
}

/* Applicazione */
h1 {
  font-size: var(--h1);
  font-weight: 600;
  line-height: 120%;
}

h2 {
  font-size: var(--h2);
  font-weight: 600;
  line-height: 120%;
  margin: 16px 0px;
}

h3 {
  font-size: var(--h3);
  font-weight: 600;
}

h4 {
  font-size: var(--h4);
  font-weight: 600;
  color: var(--grigio-blu);
}

h5 {
  font-size: var(--h5);
  font-weight: 400;
}

h6 {
  font-size: var(--h6);
  font-weight: 500;
}

p {
  font-size: var(--p);
  font-weight: 400;
}

/* Button */
.btn-dwn-prod {
  padding: 0px;
}
.btn-arrow {
  padding: 0px;
}
.btn-arrow svg {
  transition: transform 0.3s ease;
}

.btn-arrow:hover svg {
  transform: rotate(45deg);
}

.img-radius {
  border-radius: 20px;
}

/* Header */
@layer bricks {
  .brxe-nav-menu .bricks-mobile-menu {
    padding-top: 100px;
  }
}

/* Card */
/* Rendi ogni card un flex column a tutta altezza */
.card {
  display: flex;
  flex-direction: column;
  height: 100%;
}

/* Il blocco con testo si espande per riempire lo spazio disponibile */
.card .brxe-dtskli {
  flex: 1;
}

/* Il contenuto testuale si espande */
#card .brxe-ybnpoz {
  flex: 1;
}

/* Il contenuto testuale si espande */
#card .brxe-evuass {
  flex: 1;
}

#card:hover {
  border-color: var(--rosso); /* stesso rosso del tuo SVG */
}

@media (max-width: 1700px) {
  .img-heading-left {
    display: none;
  }
}

/* CARD PARTNER */
/* Forza tutte le card alla stessa altezza */
#brxe-eotosj {
  align-items: stretch !important;
  grid-auto-rows: 1fr;
}

/* Card come colonna flex */
#brxe-eotosj #card {
  display: flex;
  flex-direction: column;
}

/* Wrapper logo a altezza fissa */
#brxe-ywfpad,
#brxe-uqokev,
#brxe-dmeeou,
#brxe-rdvrry {
  height: 94px;
  display: flex;
  align-items: flex-start;
  flex-shrink: 0;
}

/* Testo si espande → divider e bottone vanno in fondo */
#brxe-eotosj #card .brxe-text {
  flex: 1;
}

#brxe-okxpkn {
  background-image: url(/wp-content/uploads/2026/04/B-Contatti.svg);
  background-position: bottom left;
  background-repeat: no-repeat;
  background-size: 30%;
  background-color: transparent;
   background: 
    url(/wp-content/uploads/2026/04/B-Contatti.svg) bottom left / 30% no-repeat,
    linear-gradient(to right, var(--grigio-bk) calc(50% - 60px), transparent calc(50% - 60px));
}

@media (min-width: 1024px) {
  .section-prodotti-evidenza {
    overflow: visible;
  }

  .section-prodotti-evidenza .img-right {
    width: 50vw;
    max-width: none;
    display: block;
    margin-right: calc((100vw - 100%) / -2);
  }

  .section-prodotti-evidenza .img-left {
    width: 50vw;
    max-width: none;
    display: block;
    margin-left: calc((100vw - 1400px) / -2);
  }
}

/* Card industrie */
/* il box che contiene l'immagine */
.brxe-fswtoh .brxe-ufuvpq.brxe-image:not(.tag) {
  object-fit: contain;
}

.brxe-fswtoh .brxe-twuega.brxe-image:not(.tag) {
  object-fit: contain;
}